### Class

# Ide DirectoryVcs

#### Description

    final class Ide.DirectoryVcs : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- IdeVcs

#### Constructors

###### ide_directory_vcs_new

No description available.

#### Instance methods

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeVcs (17)

###### ide_vcs_emit_changed

No description available.

###### ide_vcs_get_branch_name

Retrieves the name of the branch in the current working directory.

Available since: 3.32

###### ide_vcs_get_config

Retrieves an `IdeVcsConfig` for the `IdeVcs` provided. If the `IdeVcs` implementation does not support access to configuration, then `NULL` is returned.

Available since: 3.32

###### ide_vcs_get_priority

No description available.

###### ide_vcs_get_workdir

Retrieves the working directory for the context. This is the root of where the project files exist.

Available since: 3.32

###### ide_vcs_is_ignored

This function will check if `file` is considered an “ignored file” by the underlying Version Control System.

Available since: 3.32

###### ide_vcs_list_branches_async

No description available.

###### ide_vcs_list_branches_finish

No description available.

Available since: 3.32

###### ide_vcs_list_status_async

Retrieves the status of the files matching the request. If `directory_or_file` is a directory, then all files within that directory will be scanned for changes. If `include_descendants` is `TRUE`, the `IdeVcs` will scan sub-directories for changes as well.

Available since: 3.32

###### ide_vcs_list_status_finish

Completes an asynchronous request to ide_vcs_list_status_async().

Available since: 3.32

###### ide_vcs_list_tags_async

No description available.

###### ide_vcs_list_tags_finish

No description available.

Available since: 3.32

###### ide_vcs_path_is_ignored

This function acts like `ide_vcs_is_ignored()` except that it allows for using a regular file-system path.

Available since: 3.32

###### ide_vcs_push_branch_async

No description available.

###### ide_vcs_push_branch_finish

No description available.

###### ide_vcs_switch_branch_async

No description available.

###### ide_vcs_switch_branch_finish

No description available.

#### Properties

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

##### Properties inherited from IdeVcs (2)

###### Ide.Vcs:branch-name

No description available.

###### Ide.Vcs:workdir

No description available.

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from IdeVcs (1)

###### Ide.Vcs::changed

The “changed” signal should be emitted when the VCS has detected a change to the underlying VCS storage. This can be used by consumers to reload their respective data structures.

Available since: 3.32

#### Class structure

    struct IdeDirectoryVcsClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.